﻿#include <iostream>
#include "Header.h"

int main()
{
	mainClass MainClass;
	record rec1, rec2;
	int tmp;
	std::string tmp_str;
	bool is_running = true;
	int k;

	while (is_running)
	{
		std::cout << std::endl << "1) Add record" << std::endl
			<< "2) Search record by a number" << std::endl
			<< "3) Search record by code" << std::endl
			<< "4) Search record by date" << std::endl
			<< "5) Search record by expiration" << std::endl
			<< "6) Selete record" << std::endl
			<< "7) Change record" << std::endl
			<< "8) Load to txt" << std::endl
			<< "9) Exit" << std::endl << "->  ";

		std::cin >> k;
		std::cout << std::endl;
		switch (k)
		{
		case 1:
			std::cout << "Input record to add" << std::endl;
			std::cin >> rec1;
			MainClass.add_record(rec1);
			break;
		case 2:
			std::cout << "Input record number to search" << std::endl;
			std::cin >> tmp;
			MainClass.search_record_number(tmp);
			break;
		case 3:
			std::cout << "Input record code to search" << std::endl;
			std::cin >> tmp;
			MainClass.search_record_code(tmp);
			break;
		case 4:
			std::cout << "Input record owner's date to search" << std::endl;
			std::cin >> tmp_str;
			MainClass.search_record_date(tmp_str);
			break;
		case 5:
			std::cout << "Input expiration " << std::endl;
			std::cin >> tmp;
			MainClass.search_expiration(tmp);
			break;
		case 6:
			std::cout << "Input record to delete" << std::endl;
			std::cin >> rec1;
			MainClass.delete_record(rec1);
			break;
		case 7:
			std::cout << "Input record to change" << std::endl;
			std::cin >> rec1;
			std::cout << "Input record to insert" << std::endl;
			std::cin >> rec2;
			MainClass.change_record(rec1, std::move(rec2));
			break;
		case 8:
			MainClass.load_out_txt();
			break;
		case 9:
			is_running = false;
			break;
		default:
			std::cout << "invalid option" << std::endl;
			break;
		}

	}
	return 1;
}

